shapefile vector writer: datetime field saved as date resulting in data loss of time

2016-01-28 06:14 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22192

Description

QGIS' vector writer does not handle datetime field correctly when saving a shapefile. The field gets transformed into a date field, and the

time data is loss.

Steps to reproduce

    1. Create a new project, add the attached test.gpx vector layer (pick the track_point layer)

    2. Open the layer properties window, notice the time field is a "datetime".

    3. Right-click on the layer, and select "save as..." 

    4. Select the "ESRI Shapefile" format, and save the layer (make sure [x] add saved file to map is checked, it'll make the next step

easier)

    5. Open the layer properties window of the saved shapefile layer which was added to the project

    6. Go in the Fields panel, and notice the time field is now of type "date" (you can then open the attribute window and confirm that the

time information has been lost)

Since ESRI Shapefile does not support a DateTime field type, it should be transformed to a string to preserve data, not a date.

Associated revisions

Revision a3f03f02 - 2016-02-25 07:21 PM - Jürgen Fischer

vector file writer: fix saving of datetime values (fixes #14190)

History

#1 - 2016-02-25 10:22 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"a3f03f028a3a6be406ff21a17d988a41619e2439".

#2 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

Files

test.gpx 1.25 KB 2016-01-28 Mathieu Pellerin - nIRV
